-- Database for craft mats
-- coding: utf-8 'ä

Proc = { [-1]="rare", [0]="raw", [1]="processed", [2]="refined", [3]="high" }
Cool = { S = 18, M = 66, L = 162 } -- Cooldown in hours
Cat = { ["c"]="Cook", ["F"]="Farmer", ["f"]="Forester", ["j"]="Jeweller",
    ["m"]="Metalsmith", ["p"]="Prospector", ["s"]="Scholar", ["a"]="All",
    ["t"]="Tailor", ["W"]="Weaponsmith", ["w"]="Woodworker", }
cat = {}
for l,n in pairs(Cat) do cat[n] = l end
Tier = { "Apprentice", "Journeyman", "Expert", "Artisan", "Master", 
	"Supreme", "Westfold", "Eastemnet", "Westemnet", "Anorien", 
	"Doomfold", "Ironfold", "Minas Ithil", "Gandabad", "Umbar" }
Nodes = { "Ered Luin, The Shire, C Bree-land",
    "NE Ered Luin, NE Shire, Bree-land, W Lone-lands, W North Downs, Swanfleet",
    "NE Bree-land, E Lone-lands, E North Downs, E Evendim, Cardolan, Yondershire",
    "The Trollshaws, W Misty Mountains, W Angmar, W Evendim, SE Lone-lands",
    "E Misty Mountains, E Angmar, Forochel, N Eregion, Wildwood",
    "S Eregion, Moria, Lothlórien, Mirkwood, Enedwaith",
    "Dunland, Gap of Rohan, Isengard, Nan Curunír, Great River",
    "E Rohan, Wildermore",
    "W Rohan, the Entwood, W Gondor, C Gondor",
    "E Gondor, Old Anórien, Far Anórien, The Wastes",
    "Plateau of Gorgoroth, Dale-lands",
    "Iron Hills, Ered Mithrin, Vales of Anduin",
    "Morgul Vale, Wells of Langflood", 
	"Gandabad, King's Gondor",
	"King's Gondor, Outer Gonder, Zirar Tarka",
    }
-- Metalsmith=1, Forester=2, Scholar=3, Jeweller=4, Tailor=5,
-- Weaponsmith=6, Prospector=7, Woodworker=8, Farmer=9, Cook=10
Prof = {}
for n,i in pairs(Turbine.Gameplay.Profession) do
  if n~="IsA" and n~="Undefined" then Prof[i] = n end
end

-- N=name, T=tier, P=process steps, C=category, R=rep.gain, I=ingredients
Mats = {
	-- Cook starts here
		["005C9"] = { N="Fresh Carrot", T=1, P=0, C="c" },
		["0EFCF"] = { N="Brown Trout", T=1, P=0, C="c" },
		["0EFD6"] = { N="Bull Trout", T=1, P=0, C="c" },
		["0EF5D"] = { N="Carp", T=1, P=0, C="c" },
		["0EFCD"] = { N="Cutthroat Trout", T=1, P=0, C="c" },
		["0EF67"] = { N="Dace", T=1, P=0, C="c" },
		["0EF61"] = { N="Flounder", T=1, P=0, C="c" },
		["0EF64"] = { N="Golden Mullet", T=1, P=0, C="c" },
		["0EFD0"] = { N="Golden Trout", T=1, P=0, C="c" },
		["0EFCE"] = { N="Lake Trout", T=1, P=0, C="c" },
		["0EF5C"] = { N="Largemouth Bass", T=1, P=0, C="c" },
		["0EF60"] = { N="Perch", T=1, P=0, C="c" },
		["0EFD4"] = { N="Rainbow Trout", T=1, P=0, C="c" },
		["0EFD2"] = { N="Red-spotted Trout", T=1, P=0, C="c" },
		["0EFD1"] = { N="Redband Trout", T=1, P=0, C="c" },
		["0EFD3"] = { N="Speckled Trout", T=1, P=0, C="c" },
		["0335E"] = { N="Bunch of Blueberries", T=2, P=0, C="c" },
		["03361"] = { N="Cabbage", T=2, P=0, C="c" },
		["0EF6A"] = { N="Catfish", T=2, P=0, C="c" },
		["03309"] = { N="Tater", T=2, P=0, C="c" },
		["03393"] = { N="Drop of Honey", T=2, P=0, C="c" },
		["0330B"] = { N="Green Onion", T=3, P=0, C="c" },
		["1AC5F"] = { N="Sprig of Parsley", T=4, P=0, C="c" },
		["03397"] = { N="Drop of Fine Clover Honey", T=4, P=0, C="c" },
		["033A9"] = { N="Bunch of Raspberries", T=4, P=0, C="c" },
		["033A7"] = { N="Bunch of Strawberries", T=4, P=0, C="c" },
		["033AA"] = { N="Bunch of Blackberries", T=5, P=0, C="c" },
		["033A8"] = { N="Stalk of Rhubarb", T=6, P=0, C="c" },
		["369F1"] = { N="Pinch of Westemnet Herbs", T=9, P=0, C="c" },
		["47CE1"] = { N="Cap of Evengleam", T=10, P=0, C="c" },
		["44488"] = { N="Pinch of Anórien Herbs", T=10, P=0, C="c" },
		["496D4"] = { N="Pinch of Rare Ithilien Spice", T=11, P=0, C="c" },
		["4E99A"] = { N="Pinch of Rare Ironfold Spice", T=12, P=0, C="c" },
		["4EA9A"] = { N="Pile of Rich Ironfold Soil", T=12, P=0, C="c" },
		["53161"] = { N="Drop of Vales Honey", T=12, P=0, C="c" },
		["534F4"] = { N="Pinch of Rare Minas Ithil Spice", T=13, P=0, C="c" },
		["58782"] = { N="Edible Indigo Leaf", T=13, P=0, C="c" },
		["5526D"] = { N="Ithilgalad Salt", T=13, P=1, C="c" },
		["5D50B"] = { N="Pinch of Rare Gundabad Spice", T=14, P=0, C="c" },
		["675D7"] = { N="Pinch of Rare Umbari Spice", T=15, P=0, C="c" },
		["675FF"] = { N="Umbari Vegetables", T=15, P=0, C="c" },
		["68B33"] = { N="Goat Shank", T=15, P=0, C="c" },
		["68B34"] = { N="Crab Leg", T=15, P=0, C="c" },
	-- Farmer starts here
		["279C6"] = { N="Pile of Rish Soil", T=7, P=0, C="F" },
		["2ED57"] = { N="Pile of Eastemnet Soil", T=8, P=0, C="F" },
		["369F2"] = { N="Pile of Westemnet Soil", T=9, P=0, C="F" },
		["44461"] = { N="Pile of Anórien Soil", T=10, P=0, C="F" },
		["49657"] = { N="Pile of Rich Ithilien Soil", T=11, P=0, C="F" },
		["49658"] = { N="Ithilien Crop", T=11, P=0, C="F" },
		["4EA9A"] = { N="Pile of Rich Ironfold Soil", T=12, P=0, C="F" },
		["4EA98"] = { N="Ironfold Crop", T=12, P=0, C="F" },
		["53501"] = { N="Pile of Rich Minas Ithil Soil", T=13, P=0, C="F" },
		["5350C"] = { N="Hearty Crop", T=13, P=0, C="F" },
		["5D533"] = { N="Pile of Rich Gundabad Soil", T=14, P=0, C="F" },
		["5D51D"] = { N="Gundabad Crop", T=14, P=0, C="F" },
		["6762F"] = { N="Pile of Rich Umbari Soil", T=15, P=0, C="F" },
		["67613"] = { N="Umbari Crop", T=15, P=0, C="F" },
	-- Forester/Woodworker/Tailor starts here
		["01DF7"] = { N="Light Hide", T=1, P=0, C="f" },
		["01CE3"] = { N="Brushed Light Leather", T=1, P=1, C="t" },
		["03975"] = { N="Log of Rowan Wood", T=1, P=0, C="f" },
		["01E8D"] = { N="Thin Rowan Board", T=1, P=1, C="w" },
		["01E05"] = { N="Medium Hide", T=2, P=0, C="f" },
		["01CFE"] = { N="Brushed Medium Leather", T=2, P=1, C="ft" },
		["3A925"] = { N="Glazed Medium Leather", T=2, P=2, C="t" },
		["03976"] = { N="Log of Ash Wood", T=2, P=0, C="f" },
		["01E9C"] = { N="Thin Ash Board", T=2, P=1, C="fw" },
		["3A92D"] = { N="Solid Ash Board", T=2, P=2, C="w" },
		["01E15"] = { N="Sturdy Hide", T=3, P=0, C="f" },
		["01D1A"] = { N="Brushed Sturdy Leather", T=3, P=1, C="ft" },
		["3A928"] = { N="Glazed Sturdy Leather", T=3, P=2, C="t" },
		["03977"] = { N="Log of Yew Wood", T=3, P=0, C="f" },
		["01EAB"] = { N="Thin Yew Board", T=3, P=1, C="fw" },
		["3A929"] = { N="Solid Yew Board", T=3, P=2, C="w" },
		["01E31"] = { N="Pristine Hide", T=4, P=0, C="f" },
		["01D37"] = { N="Brushed Pristine Leather", T=4, P=1, C="ft" },
		["3A92E"] = { N="Glazed Pristine Leather", T=4, P=2, C="t" },
		["03978"] = { N="Log of Lebethron Wood", T=4, P=0, C="f" },
		["01EBA"] = { N="Thin Lebethron Board", T=4, P=1, C="fw" },
		["3A926"] = { N="Solid Lebethron Board", T=4, P=2, C="w" },
		["0221C"] = { N="Exceptional Hide", T=5, P=0, C="f" },
		["01D74"] = { N="Brushed Exceptional Leather", T=5, P=1, C="ft" },
		["3A923"] = { N="Glazed Exceptional Leather", T=5, P=2, C="t" },
		["0ADE6"] = { N="Spider Silk", T=5, P=0, C="f" },
		["0ADEF"] = { N="Gossamer Thread", T=5, P=1, C="t" },
		["03979"] = { N="Log of Black Ash Wood", T=5, P=0, C="f" },
		["01ECA"] = { N="Thin Black Ash Board", T=5, P=1, C="fw" },
		["3A92F"] = { N="Solid Black Ash Board", T=5, P=2, C="w" },
		["0ADD7"] = { N="Black Ash Heartwood", T=5, P=0, C="f" },
		["0ADE0"] = { N="Treated Black Ash Heartwood", T=5, P=1, C="w" },
		["148FC"] = { N="Magnificent Hide", T=6, P=0, C="f" },
		["14928"] = { N="Aged Extraordinary Hide", T=6, P=0, C="f" },
		["1490E"] = { N="Aged Extraordinary Leather", T=6, P=1, C="f" },
		["1491C"] = { N="Brushed Magnificent Leather", T=6, P=1, C="ft" },
		["3A92C"] = { N="Glazed Magnificent Leather", T=6, P=2, C="ft" },
		["3B522"] = { N="Finished Magnificent Leather", T=6, P=3, C="t" },
		["17A3C"] = { N="Mithril-reinforced Magnificent Leather", T=6, P=2, C="st" },
		["1490C"] = { N="Log of Ilex Wood", T=6, P=0, C="f" },
		["14911"] = { N="Thin Ilex Board", T=6, P=1, C="fw" },
		["3A92B"] = { N="Solid Ilex Board", T=6, P=2, C="fw" },
		["3A922"] = { N="Reinforced Ilex Board", T=6, P=3, C="w" },
		["179D1"] = { N="Mithril-inlaid Treated Ilex Board", T=6, P=2, C="w" },
		["279CC"] = { N="Calenard Hide", T=7, P=0, C="f" },
		["279B5"] = { N="Brushed Calenard Leather", T=7, P=1, C="ft" },
		["279D1"] = { N="Glazed Calenard Leather", T=7, P=2, C="ft" },
		["279B3"] = { N="Finished Calenard Leather", T=7, P=3, C="t" },
		["279CD"] = { N="Birch Sapwood Branch", T=7, P=0, C="f" },
		["279B2"] = { N="Drop of Birch-tar", T=7, P=1, C="ftw" },
		["279BF"] = { N="Log of Birch Wood", T=7, P=0, C="f" },
		["279D2"] = { N="Thin Birch Board", T=7, P=1, C="fw" },
		["279D3"] = { N="Solid Birch Board", T=7, P=2, C="fw" },
		["279D4"] = { N="Reinforced Birch Board", T=7, P=3, C="w" },
		["2ED66"] = { N="Riddermark Hide", T=8, P=0, C="f" },
		["2ED62"] = { N="Brushed Riddermark Leather", T=8, P=1, C="ft" },
		["2ED4E"] = { N="Glazed Riddermark Leather", T=8, P=2, C="ft" },
		["2ED70"] = { N="Finished Riddermark Leather", T=8, P=3, C="t" },
		["2ED6E"] = { N="Oak Sapwood Branch", T=8, P=0, C="f" },
		["2ED60"] = { N="Piece of Oak Bark", T=8, P=1, C="ftw" },
		["2ED3F"] = { N="Log of Oak Wood", T=8, P=0, C="f" },
		["2ED42"] = { N="Thin Oak Board", T=8, P=1, C="fw" },
		["2ED50"] = { N="Solid Oak Board", T=8, P=2, C="fw" },
		["2ED68"] = { N="Reinforced Oak Board", T=8, P=3, C="w" },
		["369BF"] = { N="Eorlingas Hide", T=9, P=0, C="f" },
		["369CC"] = { N="Brushed Eorlingas Leather", T=9, P=1, C="ft" },
		["369CE"] = { N="Glazed Eorlingas Leather", T=9, P=2, C="ft" },
		["369D2"] = { N="Finished Eorlingas Leather", T=9, P=3, C="t" },
		["369C5"] = { N="Walnut Sapwood Branch", T=9, P=0, C="f" },
		["369D6"] = { N="Piece of Walnut Bark", T=9, P=1, C="ftw" },
		["369FC"] = { N="Log of Walnut Wood", T=9, P=0, C="f" },
		["369BC"] = { N="Thin Walnut Board", T=9, P=1, C="fw" },
		["369E6"] = { N="Solid Walnut Board", T=9, P=2, C="fw" },
		["369C1"] = { N="Reinforced Walnut Board", T=9, P=3, C="w" },
		["4447B"] = { N="Anórien Hide", T=10, P=0, C="f" },
		["44484"] = { N="Brushed Anórien Leather", T=10, P=1, C="ft" },
		["44478"] = { N="Poplar Sapwood Branch", T=10, P=0, C="f" },
		["4448B"] = { N="Piece of Poplar Bark", T=10, P=1, C="ftw" },
		["44477"] = { N="Log of Poplar Wood", T=10, P=0, C="f" },
		["44482"] = { N="Poplar Board", T=10, P=1, C="fw" },
		["49663"] = { N="Doomfold Hide", T=11, P=0, C="f" },
		["4966F"] = { N="Brushed Doomfold Leather", T=11, P=1, C="ft" },
		["49661"] = { N="Strong Gorgoroth Branch", T=11, P=0, C="f" },
		["4D7E8"] = { N="Strong Lasgalen Branch", T=11, P=0, C="f" },
		["496CA"] = { N="Piece of Doomfold Bark", T=11, P=1, C="ftw" },
		["4965D"] = { N="Log of Gorgoroth Wood", T=11, P=0, C="f" },
		["4D7E7"] = { N="Log of Lasgalen Wood", T=11, P=0, C="f" },
		["4966C"] = { N="Doomfold Board", T=11, P=1, C="fw" },
		["4E9A5"] = { N="Ironfold Hide", T=12, P=0, C="f" },
		["4E9AD"] = { N="Brushed Ironfold Leather", T=12, P=1, C="ft" },
		["4E9A9"] = { N="Strong Thornholt Branch", T=12, P=0, C="f" },
		["4E99B"] = { N="Piece of Thornholt Bark", T=12, P=1, C="ftw" },
		["4E99F"] = { N="Log of Thornholt Wood", T=12, P=0, C="f" },
		["4E9A2"] = { N="Ironfold Board", T=12, P=1, C="cfw" },
		["5350D"] = { N="Minas Ithil Hide", T=13, P=0, C="f" },
		["534FF"] = { N="Brushed Minas Ithil Leather", T=13, P=1, C="ft" },
		["5790B"] = { N="Thick Langflood Log", T=13, P=0, C="f" },
		["53503"] = { N="Strong Snag Branch", T=13, P=0, C="f" },
		["534F9"] = { N="Piece of Mordor Snag Bark", T=13, P=1, C="ftw" },
		["534FB"] = { N="Log of a Mordor Snag", T=13, P=0, C="f" },
		["5790E"] = { N="Langflood Log", T=13, P=0, C="f" },
		["534F5"] = { N="Minas Ithil Board", T=13, P=1, C="fw" },
		["5D514"] = { N="Gundabad Hide", T=14, P=0, C="f" },
		["5D50C"] = { N="Brushed Gundabad Leather", T=14, P=1, C="ft" },
		["5D50F"] = { N="Frost-rimed Black Ash Branch", T=14, P=0, C="f" },
		["5D507"] = { N="Piece of Gundabad Bark", T=14, P=1, C="ftw" },
		["5D52A"] = { N="Log of a Wind-swept Black Ash", T=14, P=0, C="f" },
		["5D51C"] = { N="Gundabad Board", T=14, P=1, C="fw" },
		["675BE"] = { N="Umbari Hide", T=15, P=0, C="f" },
		["675B1"] = { N="Brushed Umbari Leather", T=15, P=1, C="ft" },
		["6754A"] = { N="Sturdy Log of Umbari Wood", T=15, P=0, C="f" },
		["67644"] = { N="Piece of Umbari Bark", T=15, P=1, C="ftw" },
		["67605"] = { N="Log of Umbari Wood", T=15, P=0, C="f" },
		["6762D"] = { N="Umbari Board", T=15, P=1, C="fw" },
		["675B9"] = { N="Red Sea-stone", T=15, P=0, C="t" },
	-- Jeweler starts here
		["1AC7E"] = { N="Chunk of Grey Rock-salt", T=1, P=0, C="j" },
		["01C06"] = { N="Agate", T=1, P=0, C="j" },
		["01C05"] = { N="Polished Agate", T=1, P=1, C="j" },
		["01C04"] = { N="Amethyst", T=1, P=0, C="j" },
		["01C03"] = { N="Polished Amethyst", T=1, P=1, C="j" },
		["1AC82"] = { N="Chunk of White Rock-salt", T=2, P=0, C="j" },
		["01C13"] = { N="Bloodstone", T=2, P=0, C="j" },
		["01C12"] = { N="Polished Bloodstone", T=1, P=1, C="j" },
		["01C15"] = { N="Opal", T=2, P=0, C="j" },
		["01C14"] = { N="Polished Opal", T=2, P=1, C="j" },
		["1AC5D"] = { N="Chunk of Clear Rock-salt", T=3, P=0, C="j" },
		["01C21"] = { N="Ruby", T=3, P=0, C="j" },
		["01B6A"] = { N="Polished Ruby", T=3, P=1, C="j" },
		["01C23"] = { N="Sapphire", T=3, P=0, C="j" },
		["01C22"] = { N="Polished Sapphire", T=3, P=1, C="j" },
		["1AC83"] = { N="Chunk of Yellow Rock-salt", T=4, P=0, C="j" },
		["009C7"] = { N="Adamant", T=4, P=0, C="j" },
		["01C30"] = { N="Polished Adamant", T=4, P=1, C="j" },
		["1AC61"] = { N="Chunk of Blue Rock-salt", T=5, P=0, C="j" },
		["01A15"] = { N="Beryl", T=5, P=0, C="j" },
		["01C3A"] = { N="Polished Beryl", T=5, P=1, C="j" },
		["0ABF0"] = { N="Moonstone", T=5, P=0, C="j" },
		["0AC02"] = { N="Polished Moonstone", T=5, P=1, C="j" },
		["1AC6E"] = { N="Chunk of Pink Rock-salt", T=6, P=0, C="j" },
		["1492C"] = { N="Aquamarine", T=6, P=0, C="j" },
		["14909"] = { N="Polished Aquamarine", T=6, P=1, C="j" },
		["14914"] = { N="Dawn-rose", T=6, P=0, C="j" },
		["14919"] = { N="Polished Dawn-rose", T=6, P=1, C="j" },
		["279CE"] = { N="Green Garnet", T=7, P=0, C="j" },
		["279D5"] = { N="Polished Green Garnet", T=7, P=1, C="j" },
		["2ED71"] = { N="Red Agate", T=8, P=0, C="j" },
		["2ED69"] = { N="Polished Red Agate", T=8, P=1, C="j" },
		["369E3"] = { N="Emerald", T=9, P=0, C="j" },
		["369DF"] = { N="Polished Emerald", T=9, P=1, C="j" },
		["44475"] = { N="Zircon", T=10, P=0, C="j" },
		["4447D"] = { N="Polished Zircon", T=10, P=1, C="j" },
		["49664"] = { N="Black Adamant", T=11, P=0, C="j" },
		["4966D"] = { N="Polished Black Adamant", T=11, P=1, C="j" },
		["4E9A6"] = { N="Dwarrowgleam", T=12, P=0, C="j" },
		["4E9A4"] = { N="Polished Dwarrowgleam", T=12, P=1, C="j" },
		["4EA62"] = { N="Dwarrowgleam Shard", T=12, P=0, C="jtw" },
		["5350B"] = { N="Ithilharn", T=13, P=0, C="j" },
		["53507"] = { N="Polished Ithilharn", T=13, P=1, C="j" },
		["5526B"] = { N="Pure Ithilharn Gem", T=13, P=1, C="j" },
		["5D526"] = { N="Sunstone", T=14, P=0, C="j" },
		["5D51B"] = { N="Polished Sunstone", T=14, P=1, C="j" },
		["67559"] = { N="Sea-stone", T=15, P=0, C="j" },
		["675AB"] = { N="Polished Sea-stone", T=15, P=1, C="j" },
	-- Metalsmith starts here
		["1AC67"] = { N="Chunk of Crude Brimstone", T=1, P=0, C="m" },
		["1AC7F"] = { N="Chunk of Pale Brimstone", T=2, P=0, C="m" },
		["1AC5E"] = { N="Chunk of Dark Brimstone", T=3, P=0, C="m" },
		["1AC77"] = { N="Chunk of Prilled Brimstone", T=4, P=0, C="m" },
		["1AC66"] = { N="Chunk of Dusty Brimstone", T=5, P=0, C="m" },
		["1AC81"] = { N="Chunk of Bright Brimstone", T=6, P=0, C="m" },
		["55270"] = { N="Ithilgalad Armour Steel", T=13, P=1, C="m" },
	-- Prospector starts here
		["03949"] = { N="Chunk of Copper Ore", T=1, P=0, C="p" },
		["01BFF"] = { N="Copper Ingot", T=1, P=1, C="pj" },
		["01B4C"] = { N="Bronze Ingot", T=1, P=2, C="mW" },
		["0394B"] = { N="Chunk of Silver Ore", T=2, P=0, C="p" },
		["01C0E"] = { N="Silver Ingot", T=2, P=1, C="p3js" },
		["0394C"] = { N="Chunk of Barrow-iron Ore", T=2, P=0, C="p" },
		["01B4F"] = { N="Barrow-iron Ingot", T=2, P=1, C="pmW" },
		["01B53"] = { N="Low-grade Steel Ingot", T=2, P=2, C="m" },
		["0394E"] = { N="Chunk of Gold Ore", T=3, P=0, C="p" },
		["01C1D"] = { N="Gold Ingot", T=3, P=1, C="pjs" },
		["01C2F"] = { N="White Gold Ingot", T=3, P=2, C="j" },
		["0394D"] = { N="Chunk of Rich Iron Ore", T=3, P=0, C="p" },
		["01B64"] = { N="Rich Iron Ingot", T=3, P=1, C="pmW" },
		["01B67"] = { N="High-grade Steel Ingot", T=3, P=2, C="mW" },
		["03950"] = { N="Chunk of Platinum Ore", T=4, P=0, C="p" },
		["01C2B"] = { N="Platinum Ingot", T=4, P=1, C="js" },
		["0394F"] = { N="Chunk of Dwarf-iron Ore", T=4, P=0, C="p" },
		["01B8A"] = { N="Dwarf-iron Ingot", T=4, P=1, C="mW" },
		["01B7E"] = { N="Dwarf-steel Ingot", T=4, P=2, C="mW" },
		["01B8D"] = { N="Westernesse Steel Ingot", T=4, P=2, C="p5mW" },
		["03952"] = { N="Chunk of Ancient Silver Ore", T=5, P=0, C="p" },
		["01C37"] = { N="Ancient Silver Ingot", T=5, P=1, C="js" },
		["0ABEC"] = { N="Chunk of Ancient Nickel Ore", T=5, P=0, C="p" },
		["0ABF3"] = { N="Ancient Nickel Ingot", T=5, P=1, C="mW" },
		["03951"] = { N="Chunk of Ancient Iron Ore", T=5, P=0, C="p" },
		["01BA2"] = { N="Ancient Iron Ingot", T=5, P=1, C="pmW" },
		["01AEB"] = { N="Ancient Steel Ingot", T=5, P=2, C="mW" },
		["01BA1"] = { N="Elf-steel Ingot", T=5, P=2, C="mW" },
		["3A967"] = { N="Chunk of Khazâd Skarn", T=6, P=0, C="p" },
		["14904"] = { N="Khazâd-copper Ingot", T=6, P=1, C="pj" },
		["1492B"] = { N="Khazâd-gold Ingot", T=6, P=1, C="pjs" },
		["14910"] = { N="Khazâd-iron Ingot", T=6, P=1, C="pmW" },
		["14F65"] = { N="Khazâd-bronze Ingot", T=6, P=2, C="mW" },
		["1491B"] = { N="Khazâd-steel Ingot", T=6, P=2, C="pmW" },
		["14901"] = { N="Mithril-infused Khazâd-steel Ingot", T=6, P=3, C="pmW" },
		["279B7"] = { N="Chunk of High-grade Calenard Skarn", T=7, P=0, C="p" },
		["279EC"] = { N="Bit of Pure Calenard Ore", T=7, P=1, C="pjmW" },
		["279CF"] = { N="Chunk of Calenard Skarn", T=7, P=0, C="p" },
		["279D6"] = { N="Low-grade Calenard Ingot", T=7, P=1, C="pjmW" },
		["279D7"] = { N="Medium-grade Calenard Ingot", T=7, P=2, C="pjmW" },
		["279D8"] = { N="High-grade Calenard Ingot", T=7, P=3, C="jmW" },
		["2ED53"] = { N="Chunk of High-grade Riddermark Skarn", T=8, P=0, C="p" },
		["2ED3A"] = { N="Bit of Pure Riddermark Ore", T=8, P=1, C="pjmW" },
		["2ED61"] = { N="Chunk of Riddermark Skarn", T=8, P=0, C="p" },
		["2ED43"] = { N="Low-grade Riddermark Ingot", T=8, P=1, C="pjmW" },
		["2ED3D"] = { N="Medium-grade Riddermark Ingot", T=8, P=2, C="pjmW" },
		["2ED6F"] = { N="High-grade Riddermark Ingot", T=8, P=3, C="jmW" },
		["369F3"] = { N="Chunk of High-grade Eorlingas Skarn", T=9, P=0, C="p" },
		["369D9"] = { N="Bit of Pure Eorlingas Ore", T=9, P=1, C="pjmW" },
		["369D4"] = { N="Chunk of Eorlingas Skarn", T=9, P=0, C="p" },
		["369C3"] = { N="Low-grade Eorlingas Ingot", T=9, P=1, C="pjmW" },
		["369DD"] = { N="Medium-grade Eorlingas Ingot", T=9, P=2, C="pjmW" },
		["369F9"] = { N="High-grade Eorlingas Ingot", T=9, P=3, C="jmW" },
		["44479"] = { N="Chunk of High-grade Anórien Skarn", T=10, P=0, C="p" },
		["4448F"] = { N="Bit of Pure Anórien Ore", T=10, P=1, C="pjmW" },
		["44474"] = { N="Chunk of Anórien Skarn", T=10, P=0, C="p" },
		["44485"] = { N="Anórien Ingot", T=10, P=1, C="pjmW" },
		["4965F"] = { N="Chunk of High-grade Doomfold Skarn", T=11, P=0, C="p" },
		["496C7"] = { N="Bit of Pure Doomfold Ore", T=11, P=1, C="pjmW" },
		["4965E"] = { N="Chunk of Doomfold Skarn", T=11, P=0, C="p" },
		["4966E"] = { N="Doomfold Ingot", T=11, P=1, C="pjmW" },
		["49672"] = { N="Quality Doomfold Ingot", T=11, P=1, C="m" },
		["4E9AC"] = { N="Chunk of High-grade Ironfold Skarn", T=12, P=0, C="p" },
		["4E992"] = { N="Bit of Pure Ironfold Ore", T=12, P=1, C="pjmW" },
		["4E9AA"] = { N="Chunk of Ironfold Skarn", T=12, P=0, C="p" },
		["4E985"] = { N="Ironfold Ingot", T=12, P=1, C="pjmW" },
		["534FA"] = { N="Chunk of High-grade Minas Ithil Skarn", T=13, P=0, C="p" },
		["53508"] = { N="Bit of Pure Minas Ithil Ore", T=13, P=1, C="pjmW" },
		["534F2"] = { N="Chunk of Minas Ithil Skarn", T=13, P=0, C="p" },
		["534FE"] = { N="Minas Ithil Ingot", T=13, P=1, C="pjmWc" },
		["57911"] = { N="Chunk of High-grade Langflood Skarn", T=13, P=0, C="p" },
		["5790F"] = { N="Chunk of Langflood Skarn", T=13, P=0, C="p" },
		["5D52C"] = { N="Bit of Pure Gundabad Ore", T=14, P=1, C="pjmW" },
		["5D528"] = { N="Gundabad Ingot", T=14, P=1, C="pjmWc" },
		["5D522"] = { N="Chunk of High-grade Gundabad Skarn", T=14, P=0, C="p" },
		["5D51A"] = { N="Chunk of Gundabad Skarn", T=14, P=0, C="p" },
		["675EB"] = { N="Bit of Pure Umbari Ore", T=15, P=1, C="pjmW" },
		["67564"] = { N="Umbari Ingot", T=15, P=1, C="pjmW" },
		["67566"] = { N="Chunk of High-grade Umbari Iron", T=15, P=0, C="p" },
		["6760D"] = { N="Chunk of Umbari Iron", T=15, P=0, C="p" },
	-- Scholar starts here
		["04862"] = { N="Aged Scrap of Text", T=1, P=0, C="s" },
		["01A98"] = { N="Early Third Age Relic", T=1, P=1, C="s" },
		["1AC84"] = { N="Dim Candle", T=1, P=0, C="s" },
		["04862"] = { N="Yarrow Root", T=1, P=0, C="s" },
		["0485F"] = { N="Piece of Sienna", T=1, P=0, C="s" },
		["106B6"] = { N="Lily-of-the-Valley Leaf", T=1, P=0, C="s" },
		["01AA8"] = { N="Worn Tablet Fragment", T=2, P=0, C="s" },
		["01AB1"] = { N="Ruined Second Age Trinket", T=2, P=1, C="s" },
		["01AB0"] = { N="Cryptic Text", T=2, P=2, C="s" },
		["1AC5C"] = { N="Rushlight Candle", T=2, P=0, C="s" },
		["04EBB"] = { N="Pile of Copper Salts", T=2, P=0, C="s" },
		["04EBE"] = { N="Piece of Umber", T=2, P=0, C="s" },
		["106DA"] = { N="Iris Root", T=2, P=0, C="s" },
		["01AC6"] = { N="Cracked Dwarf-carving", T=3, P=0, C="s" },
		["01ABB"] = { N="Faded Sindarin Passage", T=3, P=1, C="s" },
		["01ABC"] = { N="Torn Craftsman's Diary", T=3, P=2, C="s" },
		["1AC78"] = { N="Beeswax Candle", T=3, P=0, C="s" },
		["05628"] = { N="Woad Plant", T=3, P=0, C="s" },
		["10660"] = { N="Bluebottle Petal", T=3, P=0, C="s" },
		["039FE"] = { N="Juicy Blackberry", T=3, P=0, C="s" },
		["01ACE"] = { N="Fragment of Dúnedain Script", T=4, P=0, C="s" },
		["01ACF"] = { N="Scroll of Lothlórien", T=4, P=1, C="s" },
		["3EB4E"] = { N="Historical Document of the Dwarf-lords", T=4, P=2, C="s" },
		["1AC5B"] = { N="Tallow Candle", T=4, P=0, C="s" },
		["0AC00"] = { N="Torn Scholar's Journal", T=4, P=0, C="s" },
		["10657"] = { N="Amaranth Petal", T=4, P=0, C="s" },
		["01A65"] = { N="Indigo Plant", T=4, P=0, C="s" },
		["01AE4"] = { N="Onion Skin", T=4, P=0, C="s" },
		["10553"] = { N="Worn Elf-carving", T=5, P=0, C="s" },
		["01A17"] = { N="Undeciphered Moon-letter", T=5, P=1, C="s" },
		["01A16"] = { N="Long-lost Second Age Text", T=5, P=2, C="s" },
		["1AC74"] = { N="Ornate Candle", T=5, P=0, C="s" },
		["1069D"] = { N="Bloodwort Root", T=5, P=0, C="s" },
		["1069A"] = { N="Juicy Strawberry", T=5, P=0, C="s" },
		["01F0A"] = { N="Pile of Ancient Iron Oxides", T=5, P=0, C="s" },
		["14900"] = { N="Rune-carved Tablet", T=6, P=0, C="s" },
		["14913"] = { N="Etching of Moria", T=6, P=1, C="s" },
		["14906"] = { N="Tattered Khuzdul Parchment", T=6, P=2, C="s" },
		["1AC7A"] = { N="Bright Lamp", T=6, P=0, C="s" },
		["148F9"] = { N="Relic of Khazad-dûm", T=6, P=0, C="s" },
		["106BB"] = { N="Juicy Elderberry", T=6, P=0, C="s" },
		["18CE2"] = { N="Chunk of Lime", T=6, P=0, C="s" },
		["106C9"] = { N="Saffron Thread", T=6, P=0, C="s" },
		["279D0"] = { N="Page of Gondorian Parchment", T=7, P=0, C="s" },
		["279ED"] = { N="Inspired Note", T=7, P=1, C="s" },
		["279B6"] = { N="Scrap of Weathered Dunlending Text", T=7, P=0, C="s" },
		["279D9"] = { N="Scroll of Insight", T=7, P=1, C="s" },
		["279B0"] = { N="Book of Knowledge", T=7, P=2, C="s" },
		["279DA"] = { N="Tome of Wisdom", T=7, P=3, C="s" },
		["2ED4A"] = { N="Piece of Eastemnet Sealed Wax", T=8, P=0, C="s" },
		["2ED6B"] = { N="Eastemnet Candle", T=8, P=1, C="s" },
		["2ED3E"] = { N="Scrap of Rohirric Text", T=8, P=0, C="s" },
		["2ED3C"] = { N="Scroll of Poetry", T=8, P=1, C="s" },
		["2ED5F"] = { N="Book of Ballads", T=8, P=2, C="s" },
		["2ED5B"] = { N="Tome of War Stories", T=8, P=3, C="s" },
		["369CB"] = { N="Piece of Westemnet Sealed Wax", T=9, P=0, C="s" },
		["369EE"] = { N="Westemnet Candle", T=9, P=1, C="s" },
		["369D0"] = { N="Tattered Rohirric Parchment", T=9, P=0, C="s" },
		["369D7"] = { N="Scroll of Tactics", T=9, P=1, C="s" },
		["369F0"] = { N="Book of Battle Plans", T=9, P=2, C="s" },
		["369E4"] = { N="Tome of War Campaigns", T=9, P=3, C="s" },
		["44476"] = { N="Piece of Anórien Sealed Wax", T=10, P=0, C="s" },
		["44491"] = { N="Anórien Candle", T=10, P=1, C="s" },
		["4447A"] = { N="Tattered Anórien Parchment", T=10, P=0, C="s" },
		["49662"] = { N="Piece of Doomfold Sealed Wax", T=11, P=0, C="s" },
		["496D3"] = { N="Gorgoroth Candle", T=11, P=1, C="s" },
		["49660"] = { N="Tattered Doomfold Parchment", T=11, P=0, C="s" },
		["49673"] = { N="Restored Doomfold Parchment", T=11, P=1, C="s" },
		["4E9A1"] = { N="Piece of Ironfold Sealed Wax", T=12, P=0, C="s" },
		["4E999"] = { N="Ironfold Candle", T=12, P=1, C="s" },
		["4E9AB"] = { N="Tattered Ironfold Parchment", T=12, P=0, C="s" },
		["53505"] = { N="Piece of Minas Ithil Sealed Wax", T=13, P=0, C="s" },
		["534F3"] = { N="Minas Ithil Candle", T=13, P=1, C="s" },
		["5350A"] = { N="Tattered Minas Ithil Parchment", T=13, P=0, C="s" },
		["5526F"] = { N="Ithilgalad Parchment", T=13, P=1, C="s" },
		["5D524"] = { N="Piece of Gundabad Sealed Wax", T=14, P=0, C="s" },
		["5D508"] = { N="Gundabad Candle", T=14, P=1, C="s" },
		["5D525"] = { N="Tattered Gundabad Parchment", T=14, P=0, C="s" },
		["675E6"] = { N="Lump of Umbari Wax", T=15, P=0, C="s" },
		["67619"] = { N="Umbari Candle", T=15, P=1, C="s" },
		["67573"] = { N="Tattered Umbari Parchment", T=15, P=0, C="s" },
	-- Tailor starts here
		["1AC80"] = { N="Common Flax Fibre", T=1, P=0, C="t" },
		["1AC63"] = { N="Bree Flax Fibre", T=2, P=0, C="t" },
		["1AC79"] = { N="Pale Flax Fibre", T=3, P=0, C="t" },
		["1AC7B"] = { N="Yellow Flax Fibre", T=4, P=0, C="t" },
		["1AC73"] = { N="Golden Flax Fibre", T=5, P=0, C="t" },
		["1AC7D"] = { N="Fairy Flax Fibre", T=6, P=0, C="t" },
		["477A7"] = { N="Bolt of Ithilien Cloth", T=10, P=0, C="t" },
		["47CDE"] = { N="Bolt of Rush-cloth", T=10, P=0, C="t" },
		["5526C"] = { N="Ithilgalad Hide", T=13, P=1, C="t" },
	-- Weaponsmith starts here
		["1AC70"] = { N="Crude Whetstone", T=1, P=0, C="W" },
		["1AC60"] = { N="Small Whetstone", T=2, P=0, C="W" },
		["1AC6C"] = { N="Flat Whetstone", T=3, P=0, C="W" },
		["1AC72"] = { N="Round Whetstone", T=4, P=0, C="W" },
		["1AC6F"] = { N="Soft Whetstone", T=5, P=0, C="W" },
		["1AC65"] = { N="Hard Whetstone", T=6, P=0, C="W" },
		["5526E"] = { N="Ithilgalad Weapon Steel", T=13, P=1, C="W" },
	-- Woodworker starts here
		["1AC6A"] = { N="Drop of Sticky Resin", T=1, P=0, C="w" },
		["1AC75"] = { N="Drop of Ashy Resin", T=2, P=0, C="w" },
		["1AC7C"] = { N="Drop of Amber Resin", T=3, P=0, C="w" },
		["1AC6D"] = { N="Drop of Black Resin", T=4, P=0, C="w" },
		["1AC62"] = { N="Drop of Soft Resin", T=5, P=0, C="w" },
		["1AC76"] = { N="Drop of Hard Resin", T=6, P=0, C="w" },
		["55271"] = { N="Ithilgalad Wood", T=13, P=1, C="w" },
-- Shards and other rares from resource nodes
		["0A8B1"] = { N="Sapphire Shard", T=2, P=-1, C="jmstwW" },
		["0A8B2"] = { N="Ruby Shard", T=3, P=-1, C="jmstwW" },
		["0A8B3"] = { N="Adamant Shard", T=4, P=-1, C="jmstwW" },
		["0A8B0"] = { N="Beryl Shard", T=5, P=-1, C="jmstwW" },
		["17A88"] = { N="Legendary Shard", T=5, P=-1, C="jmstwW" },
		["14915"] = { N="Mithril Flake", T=6, P=-1, C="jmstwW" },
		["1D048"] = { N="Legendary Fragment", T=6, P==1, C="jmstwW" },
		["1D055"] = { N="Symbol of Celebrimbor", T=6, P=-1, C="jmstwW" },
		["1D058"] = { N="Symbol of the Elder King", T=6, P=-1, C="jmstwW" },
		["289A8"] = { N="Cracked Rhi Helvarch Sigil", T=7, P==1, C="jmstwW" },
		["2ED72"] = { N="Tarnished Crest of Rohan", T=8, P=-1, C="jmstwW" },
		["2ED58"] = { N="Tarnished Symbol of Celebrimbor", T=8, P=-1, C="jmstwW" },
		["340E8"] = { N="Tarnished Symbol of the Elder King", T=8, P=-1, C="jmstwW" },
		["369D5"] = { N="Emerald  Shard", T=9, P=-1, C="jmtwW" },
		["369E7"] = { N="Flawed Symbol of Celebrimbor", T=8, P=-1, C="jmstwW" },
		["369CA"] = { N="Flawed Symbol of the Elder King", T=8, P=-1, C="jmstwW" },
		["40CF3"] = { N="Universal Solvent", T=10, P=-1, C="cjmstwW" },
		["44487"] = { N="Zircon Shard", T=10, P=-1, C="jmtwW" },
		["49738"] = { N="Black Adamant Shard", T=11, P=-1, C="cjmstwW" },
		["4EA62"] = { N="Dwarrowgleam Shard", T=12, P=-1, C="cjmstwW" },
		["4FB2B"] = { N="Dwarrowmark", T=12, P=-1, C="cjmstwW" },
		["5288B"] = { N="Artifact of the Vale", T=12, P=-1, C="cjmstwW" },
		["54DB2"] = { N="Ithilharn Shard", T=13, P=-1, C="cjmstwW" },
		["5D515"] = { N="Sunstone Shard", T=14, P=-1, C="cjmstwW" },
		["675B9"] = { N="Sea-stone Shard", T=15, P=-1, C="cjmstwW" },
		["56899"] = { N="Universal Optional Crafting Ingredient", T=1, P=-1, C="cjmstwW" },
}
